import 'package:freezed_annotation/freezed_annotation.dart';

import '../../../../../api/marianumcloud/talk/room/get_room_response.dart';

part 'chat_list_state.freezed.dart';
part 'chat_list_state.g.dart';

@freezed
abstract class ChatListState with _$ChatListState {
  const factory ChatListState({GetRoomResponse? rooms}) = _ChatListState;

  factory ChatListState.fromJson(Map<String, Object?> json) =>
      _$ChatListStateFromJson(json);
}
